# Dadou - 2.3.1-15mdk - Reminder: 7.2 is for IA32 only
#                                 8.0 is for IA32 and PPC
#                                 8.1 is for IA32 and IA64
#                                 8.2 is for IA32, IA64 and PPC

# Dadou - 2.2-0.beta1.0.3mdk - Define macro used to control build options for
#                              each LMDK distributions
%define buildfor $(awk '{print $4}' /etc/mandrake-release)
%{expand:%%define buildfor8_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.0 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_1 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.1 ]; then echo 1; else echo 0; fi)}

# Dadou - 2.2-0.beta1.0.3mdk - Define if we build a stable release or not
#                              0 = stable
#                              1 = unstable
%if %buildfor9_1
%define unstable 0
%else
%define unstable 0
%endif

Name: 		kdesdk
Icon: 		kde-icon.xpm
Summary: 	K Desktop Environment - Software Development Kit
Version: 	3.1
Release: 	9mdk
Epoch: 		1
License:	GPL
URL:        http://www.kde.org/

Source: 	kdesdk-3.1.tar.bz2
Source1:	hi16-app-kbugbuster.png
# Laurent 3.0.2-2mdk patch for ix64!
Patch2:     kde-lib64updates.patch.bz2
# Laurent 3.0.2-5mdk fix kbugbuster icons
Patch3:		kdesdk-3.0.2-fix-kbugbuster-icon.patch.bz2

# Laurent -26-05-2002 5mdk fix conflict with lam 
# rename ktrace to kde-ktrace
Patch1:		kdesdk-3.1-fix-conflict-with-lam.patch.bz2


# Laurent - 3.0.3-4mdk - fix kapptemplate mem leak
Patch5:		kdesdk-3.0.3-fix-kapptemplate-mem-leak.patch.bz2


# Laurent - 3.1-8mdk fix cervisia
Patch6:		kdesdk-3.1-fix-2003-03-11.patch.bz2

# Laurent - 3.1-9mdk fix cervisia
Patch7:		kdesdk-3.1-fix-2003-03-11.2.patch.bz2

Group: 		Graphical desktop/KDE
Packager:	Mandrake Linux KDE Team <kde@mandrakesoft.com>
BuildRoot: 	%_tmppath/%name-%version-%release-root
Obsoletes:	kdesdk3 cervisia
Provides:	kdesdk3
Requires:	cvs


%if %buildfor8_2
BuildRequires:	XFree86-devel XFree86-libs XFree86-static-libs autoconf
BuildRequires:	automake bison db2 diffutils file flex freetype2-devel gawk
BuildRequires:	gcc-c++ gcc-cpp gettext kdelibs-devel libMesaGLU1
BuildRequires:	libbinutils2 libbinutils2-devel libbzip2_1-devel libintl1
BuildRequires:	libjpeg62-devel liblcms1 libmng1-devel libpng3-devel libqt3-devel
BuildRequires:	libstdc++ libtermcap2 m4 mktemp
BuildRequires:	perl perl-MDK-Common popt rpm-build texinfo zlib1 libbinutils2-devel
%endif

%if %buildfor9_0 || %buildfor9_1
BuildRequires:  XFree86-devel XFree86-libs XFree86-static-libs autoconf
BuildRequires:  automake bison db2 diffutils file flex freetype2-devel gawk
BuildRequires:  gcc-c++ gcc-cpp gettext kdelibs-devel libMesaGLU1
BuildRequires:  libbinutils2 libbinutils2-devel libbzip2_1-devel libintl2
BuildRequires:  libjpeg62-devel liblcms1 libmng1-devel libpng3-devel libqt3-devel
BuildRequires:  libstdc++ libtermcap2 m4 mktemp
BuildRequires:  perl perl-MDK-Common popt rpm-build texinfo zlib1
%endif

%description
Software Development Kit for the K Desktop Environment.


%package devel
Summary:        Header files for kdesdk
Group:		Development/KDE and Qt
PreReq:		%name = %version-%release
 
%description devel	
This package includes the header files you will need to compile
applications for kdesdk.



%prep
%setup -q -nkdesdk-3.1
#cp %SOURCE1 $RPM_BUILD_DIR/kdesdk-3.0.98/kbugbuster/
#mv $RPM_BUILD_DIR/kdesdk-3.0.98/kmtrace/ktrace.h $RPM_BUILD_DIR/kdesdk-3.0.98/kmtrace/kde-ktrace.h
#%patch1 -p1
#%patch2 -p1
%patch3 -p1
#%patch5 -p1
%patch6 -p1
%patch7 -p1

%build
#make -f Makefile.cvs
export QTDIR=%_prefix/lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure


#perl -pi -e "s@/usr/lib/(libiberty.a)@%_libdir/\1@g" \
#	configure kmtrace/Makefile.*

%ifarch %ix86
CFLAGS="%optflags" CXXFLAGS="`echo %optflags |sed -e 's/-fomit-frame-pointer//'`" \
%else
CFLAGS="%optflags" CXXFLAGS="%optflags" \
%endif
        ./configure --prefix=%_prefix \
				--libdir=%_libdir \
	            --mandir=%_mandir \
                    --build=%_target_platform \
		    --host=%_target_platform \
%if %unstable
		--enable-debug=full \
%else
		--disable-debug \
%endif
                    --enable-final \
                    --enable-shared \
                    --disable-static \
		    --disable-embedded \
		    --disable-palmtop \
		    --disable-rpath \
		    --with-gnu-ld \
		    --with-pic \
                    --with-xinerama

%make



%install
rm -fr %buildroot

# Dadou - 2.2-0.alpha2.3mdk - Don't strip when we are not in final release
%if %unstable
export DONT_STRIP=1
%endif

make install DESTDIR=%buildroot

# Create LMDK menu structure
install -d %buildroot/%_menudir/

# %%_datadir/applnk/Development/
kdedesktop2mdkmenu.pl kdesdk Applications/Development/Tools %buildroot/%_datadir/applnk/Development/kbabel.desktop %buildroot/%_menudir/kdesdk-kbabel
kdedesktop2mdkmenu.pl kdesdk Applications/Development/Tools %buildroot/%_datadir/applnk/Development/kbabeldict.desktop %buildroot/%_menudir/kdesdk-kbabeldict
kdedesktop2mdkmenu.pl kdesdk Applications/Development/Tools %buildroot/%_datadir/applnk/Development/catalogmanager.desktop %buildroot/%_menudir/kdesdk-catalogmanager
kdedesktop2mdkmenu.pl kdesdk Applications/Development/Tools %buildroot/%_datadir/applnk/Development/cervisia.desktop %buildroot/%_menudir/kdesdk-cervisia
kdedesktop2mdkmenu.pl kdesdk Applications/Development/Tools %buildroot/%_datadir/applnk/Development/kompare.desktop %buildroot/%_menudir/kdesdk-kompare

kdedesktop2mdkmenu.pl kdesdk Applications/Development/Tools %buildroot/%_datadir/applnk/Development/kbugbuster.desktop %buildroot/%_menudir/kdesdk-kbugbuster


rm -f %buildroot/%_docdir/HTML/en/kbabel/TODO

%post
/sbin/ldconfig
%update_menus


%postun
/sbin/ldconfig
%clean_menus


%clean
rm -fr %buildroot


%files
%defattr(-,root,root)
%dir %_docdir/HTML/
%dir %_docdir/HTML/en/
%dir %_docdir/HTML/en/kbabel/
%doc %_docdir/HTML/en/kbabel/common
%doc %_docdir/HTML/en/kbabel/*.docbook
%doc %_docdir/HTML/en/kbabel/*.png
%doc %_docdir/HTML/en/kbabel/*.bz2
#
%dir %_docdir/HTML/en/cervisia/
%doc %_docdir/HTML/en/cervisia/common
%doc %_docdir/HTML/en/cervisia/*.docbook
%doc %_docdir/HTML/en/cervisia/*.png
%doc %_docdir/HTML/en/cervisia/*.bz2

%dir %_docdir/HTML/en/kbugbuster/
%doc %_docdir/HTML/en/kbugbuster/common
%doc %_docdir/HTML/en/kbugbuster/*.bz2
%doc %_docdir/HTML/en/kbugbuster/*.docbook

%dir %_docdir/HTML/en/kompare/
%doc %_docdir/HTML/en/kompare/common
%doc %_docdir/HTML/en/kompare/*.bz2
%doc %_docdir/HTML/en/kompare/*.docbook


%doc %_mandir/man1/*
#
#
#
%_bindir/*
#
#
#
%_libdir/*.la
%_libdir/*.so*
#
#
%dir %_libdir/kde3/
%_libdir/kde3/*.la
%_libdir/kde3/*.so*
#
#
#
%_menudir/*
#
#
#
%dir %_datadir/applnk/
%dir %_datadir/applnk/Development/
%_datadir/applnk/Development/kbabel.desktop
%_datadir/applnk/Development/kbabeldict.desktop
%_datadir/applnk/Development/catalogmanager.desktop
%_datadir/applnk/Development/cervisia.desktop
%_datadir/applnk/Development/kompare.desktop
%_datadir/applnk/Development/kbugbuster.desktop
#
#
%dir %_datadir/apps/kbugbuster/
%_datadir/apps/kbugbuster/*.rc
%dir %_datadir/apps/kbugbuster/pics/
%_datadir/apps/kbugbuster/pics/*.png
#
#
#
%dir %_datadir/apps/
%dir %_datadir/apps/kbabel/
%_datadir/apps/kbabel/*.rc
#
#
%dir %_datadir/apps/kbabel/icons/
%dir %_datadir/apps/kbabel/icons/locolor/
%dir %_datadir/apps/kbabel/icons/locolor/16x16/
%dir %_datadir/apps/kbabel/icons/locolor/16x16/actions/
%_datadir/apps/kbabel/icons/locolor/16x16/actions/*.png
#
%dir %_datadir/apps/kbabel/icons/locolor/22x22/
%dir %_datadir/apps/kbabel/icons/locolor/22x22/actions/
%_datadir/apps/kbabel/icons/locolor/22x22/actions/*.png

%dir %_datadir/apps/kbabel/icons/locolor/32x32/
%dir %_datadir/apps/kbabel/icons/locolor/32x32/actions/
%_datadir/apps/kbabel/icons/locolor/32x32/actions/*.png
#
%dir %_datadir/apps/kbabel/icons/hicolor/
%dir %_datadir/apps/kbabel/icons/hicolor/22x22/
%dir %_datadir/apps/kbabel/icons/hicolor/22x22/actions/
%_datadir/apps/kbabel/icons/hicolor/22x22/actions/*.png
#
%dir %_datadir/apps/kbabel/icons/hicolor/16x16/
%dir %_datadir/apps/kbabel/icons/hicolor/16x16/actions/
%_datadir/apps/kbabel/icons/hicolor/16x16/actions/*.png
#
%dir %_datadir/apps/kbabel/icons/hicolor/32x32/
%dir %_datadir/apps/kbabel/icons/hicolor/32x32/actions/
%_datadir/apps/kbabel/icons/hicolor/32x32/actions/*.png
#
%dir %_datadir/apps/kbabel/pics/
%_datadir/apps/kbabel/pics/*.png
#
#
%dir %_datadir/apps/kbabeldict/
%dir %_datadir/apps/kbabeldict/modules/
%_datadir/apps/kbabeldict/modules/*.rc
#

%dir %_datadir/apps/kapptemplate/
%_datadir/apps/kapptemplate/*

%dir %_datadir/apps/cervisia/
%_datadir/apps/cervisia/*.rc
#
%dir %_datadir/apps/kompare/
%_datadir/apps/kompare/*.rc

%dir %_datadir/apps/komparepart/
%_datadir/apps/komparepart/*.rc

%dir %_datadir/apps/kompare/icons/
%dir %_datadir/apps/kompare/icons/crystalsvg/
%dir %_datadir/apps/kompare/icons/crystalsvg/16x16/
%dir %_datadir/apps/kompare/icons/crystalsvg/16x16/apps/
%_datadir/apps/kompare/icons/crystalsvg/16x16/apps/*.png

%dir %_datadir/apps/kompare/icons/locolor/
%dir %_datadir/apps/kompare/icons/locolor/16x16/
%dir %_datadir/apps/kompare/icons/locolor/16x16/apps/
%_datadir/apps/kompare/icons/locolor/16x16/apps/*.png

%dir %_datadir/apps/kompare/icons/locolor/32x32/
%dir %_datadir/apps/kompare/icons/locolor/32x32/apps/
%_datadir/apps/kompare/icons/locolor/32x32/apps/*.png


#
#%dir %_datadir/apps/kmtrace/
#%_datadir/apps/kmtrace/*.excludes
#
#
#
#
%dir %_iconsdir/
%dir %_iconsdir/crystalsvg/
%dir %_iconsdir/crystalsvg/16x16/
%dir %_iconsdir/crystalsvg/16x16/mimetypes/
%_iconsdir/crystalsvg/16x16/mimetypes/*.png
%dir %_iconsdir/crystalsvg/16x16/apps/
%_iconsdir/crystalsvg/16x16/apps/*.png
#
%dir %_iconsdir/crystalsvg/32x32/
%dir %_iconsdir/crystalsvg/32x32/apps/
%_iconsdir/crystalsvg/32x32/apps/*.png
%dir %_iconsdir/crystalsvg/32x32/mimetypes/
%_iconsdir/crystalsvg/32x32/mimetypes/*.png
#
%dir %_iconsdir/crystalsvg/48x48/
%dir %_iconsdir/crystalsvg/48x48/apps/
%_iconsdir/crystalsvg/48x48/apps/*.png
%dir %_iconsdir/crystalsvg/48x48/mimetypes/
%_iconsdir/crystalsvg/48x48/mimetypes/*.png
#
#
%dir %_iconsdir/locolor/
%dir %_iconsdir/locolor/16x16/
%dir %_iconsdir/locolor/16x16/apps/
%_iconsdir/locolor/16x16/apps/*.png
#
%dir %_iconsdir/locolor/16x16/mimetypes/
%_iconsdir/locolor/16x16/mimetypes/*.png
#
%dir %_iconsdir/locolor/32x32/
%dir %_iconsdir/locolor/32x32/apps/
%_iconsdir/locolor/32x32/apps/*.png
#
%dir %_iconsdir/locolor/32x32/mimetypes/
%_iconsdir/locolor/32x32/mimetypes/*.png
#
#
#
%dir %_datadir/mimelnk/
%dir %_datadir/mimelnk/application/
%_datadir/mimelnk/application/*.desktop
#
#
%dir %_datadir/servicetypes/
%_datadir/servicetypes/*.desktop
#
%dir %_datadir/services/
%_datadir/services/*.desktop

#_libdir/libktrace_s.a

%dir %_datadir/apps/catalogmanager
%_datadir/apps/catalogmanager/catalogmanagerui.rc

%dir %_datadir/apps/cervisiapart/
%_datadir/apps/cervisiapart/cervisiaui.rc

%dir %_datadir/apps/kabc/
%dir %_datadir/apps/kabc/formats/
%_datadir/apps/kabc/formats/kdeaccountsplugin.desktop




%files devel
%defattr(-,root,root,-)
#
%dir %_includedir/kbabel/
%_includedir/kbabel/*.h
%_includedir/*.h


%changelog
* Tue Mar 11 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-9mdk
- Fix from kde 3.1 fix cerviia
"Make ListBox scrollable but non-interactive."


* Tue Mar 11 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-8mdk
- Fix from kde3.1 fix cervisia
=>" Fix BR #55665 and BR #55663:

Cervisia's options like 'Update Recursively' are now always saved to 
CervisiaPart's configuration file (cervisiapartrc). This fixes the management
of these options in Konqueror"
Fix commitdlg => "The dialog already had a top level layout."

* Sat Mar 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-7mdk
- Fix cervisia

* Mon Feb 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-6mdk
- Fix cervisai

* Mon Feb 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-5mdk
- Update code ( fix cervisia )

* Fri Feb 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-4mdk
- update code ( fix kbabel )

* Wed Feb 05 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-3mdk
- Update code ( fix crashs in kbabel )

* Thu Jan 30 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-2mdk
- Make rpmlint happy

* Tue Jan 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-1mdk
- kde3.1

* Wed Jan 22 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.3mdk
- Remove debug

* Thu Jan 09 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.2mdk
- Apply Gwenole patch "Make it lib64 aware"

* Mon Jan 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.1mdk
- rc6

* Tue Dec 17 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.3mdk
- Add patch8 : fix save config in kbugbuster

* Fri Dec 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.2mdk
- Add patch6 : fix kbugbuster menu
- Add patch7 : Fix focus in server dialogbox 

* Tue Dec 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.1mdk
- rc5

* Tue Nov 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc3.1mdk
- rc3

* Wed Nov 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc2.2mdk
- Fix missing file

* Tue Nov 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc2.1mdk
- rc2

* Tue Oct 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.3mdk
- Add requires on cvs for cervisia bug reported by Corsica 

* Fri Oct 11 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.2mdk
- Regenerate patch1

* Thu Oct 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.1mdk
- beta2

* Thu Sep 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-5mdk
- Add patch6 : fix kbabel crash

* Sun Sep 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-4mdk
- Add patch5 : fix kapptemplate mem leak

* Mon Aug 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-3mdk
- Fix spec file

* Mon Aug 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-2mdk
- Add patch4 : fix mem leak in kbabel

* Mon Aug 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-1mdk
- kde3.0.3

* Wed Aug 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-7mdk
- Rebuild against gcc-3.2
- Disable debuggage

* Wed Aug 07 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-6mdk
- Add SOURCE1 : add hicolor icon for kbugbuster

* Tue Aug 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-5mdk
- Add patch3 : Fix kbugbuster icons

* Tue Aug 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-4mdk
- Obsolete cervisia

* Fri Jul 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-3mdk
- Rebuild against gcc3.2

* Tue Jul 16 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-2mdk
- Rebuild against libintl2

* Sun Jun 30 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-1mdk
- kde3.0.2

* Fri May 31 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-6mdk
- Rebuild

* Tue May 28 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-5mdk
- Fix conflict with lam => rename ktrace.h to kde-ktrace.h

* Sun May 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-4mdk
- fix menu entry

* Thu May 23 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-3mdk
- Rebuild

* Sat May 18 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-2mdk
- Fix buildrequires

* Sat May 11 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-1mdk
- kde3.0.1

* Wed May 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-4mdk
- Rebuild against gcc3.1

* Sat Apr 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-3mdk
- Remove 'fomit-frame-pointer'
- Add missing menu entry

* Thu Apr 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-2mdk
- Fix update menu

* Tue Mar 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde3.0

* Fri Mar 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc3.1mdk
- RC3

* Sat Mar 16 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc2.1mdk
- Rc2

* Wed Feb 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.1mdk
- beta2

* Sun Jan 13 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0-0.beta1.4mdk
- Allow KDE 2 and KDE 3 to be installed in same time
- Don't build static libraries
- Remove KDE 2's changelogs (KDE 2 and KDE 3 spec files have a separate life
    now)
    
* Sat Dec 08 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0beta1-3mdk
- kde 3.0 beta1

* Fri Nov 30 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-2mdk
- Improve spec file 

* Fri Nov 23 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde 3.0
